/***************************************************************************
                          _aminoacids.cpp  -  description
                             -------------------
    begin                : Tue Jul 8 2003
    copyright            : (C) 2003 by Cyril Deremble
    email                : deremble@ihes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "_aminoacids.h"

using namespace N_AminoAcid;

S_AAProperties::
S_AAProperties ()
{
    m_NonAAs_set.insert (TRANSLATION_STOP);
    m_NonAAs_set.insert (GAP);
    m_NonAAs_set.insert (UNKNOWN);

    m_HydrophobicAAs_set.insert (VALINE);
    m_HydrophobicAAs_set.insert (ISOLEUCINE);
    m_HydrophobicAAs_set.insert (LEUCINE);
    m_HydrophobicAAs_set.insert (PHENYLALANINE);
    m_HydrophobicAAs_set.insert (METHIONINE);
    m_HydrophobicAAs_set.insert (TRYPTOPHANE);
    m_HydrophobicAAs_set.insert (TYROSINE);

    m_ClusterBreakerAAs_set.insert (PROLINE);

};


S_AAProperties N_AminoAcid::g_AAProperties = S_AAProperties ();
