/***************************************************************************
                          c_alignparametersiomanip.h  -  description
                             -------------------
    begin                : Thu Jul 31 2003
    copyright            : (C) 2003 by Cyril Deremble
    email                : deremble@ihes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef C_ALIGNPARAMETERSIOMANIP_H
#define C_ALIGNPARAMETERSIOMANIP_H

#include "c_aasubsmatrixiomanip.h"
#include "c_clustalign.h"


/**
  *@author Cyril Deremble
  */

class C_AlignParametersIOManip : public C_IOStreamManip <C_XMLTag, ostream>
{
public:
    C_XMLTag & operator >> (C_ClustAlign & ClustAlign) const;
    ostream & operator << (const C_ClustAlign & ClustAlign) const;
};

const C_AlignParametersIOManip xml_alignparams = C_AlignParametersIOManip ();

inline const C_AlignParametersIOManip & operator >> (C_XMLTag & Stream, const C_AlignParametersIOManip & Manip)
{
    Manip.setIStream (Stream);
    return Manip;
};

inline const C_AlignParametersIOManip & operator << (ostream & Stream, const C_AlignParametersIOManip & Manip)
{
    Manip.setOStream (Stream);
    return Manip;
};

#endif
