/***************************************************************************
                          c_msfseqimanip.cpp  -  description
                             -------------------
    begin                : Tue Jul 22 2003
    copyright            : (C) 2003 by Cyril Deremble
    email                : deremble@ihes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "c_msfseqimanip.h"

static const char ClustalAnalysisChars_p [] = " .:*";
const set
    <char> S_IsClustalAnalysisChar::s_ClustalAnalysisChars_set (ClustalAnalysisChars_p, ClustalAnalysisChars_p + sizeof(ClustalAnalysisChars_p) - 1);

istream & operator >> (istream & is, S_MsfHeader)
{
    if (! is.good ())
        is.clear (ios::failbit | is.rdstate ());
    else
    {
        streampos BeginPos = is.tellg ();
        int n;
        string Buffer_str;
        is >> Buffer_str;
        is.clear ();
        is.seekg (BeginPos);
        if (Buffer_str == "!!AA_MULTIPLE_ALIGNMENT" || Buffer_str == "PileUp")
        {
            char c = '\0';
            while (c != '/')
                is >> line >> c;
            if (is.get () != '/' || !is.good ())
                is.clear (ios::failbit | is.rdstate ());
            else
            {
                BeginPos = is.tellg ();
                is >> n >> n;
                if (is.fail ())
                {
                    is.clear ();
                    is.seekg (BeginPos);
                }
            }
        }
        else if (Buffer_str == "CLUSTAL")
        {
            is >> line;
        }
        else
        {
            is >> n >> n;
            if (is.fail ())
            {
                is.clear ();
                is.seekg (BeginPos);
                is.clear (ios::failbit);
            }
        }
    }
    return is;
};
