/***************************************************************************
                          max.h  -  description
                             -------------------
    begin                : Tue Jul 8 2003
    copyright            : (C) 2003 by Cyril Deremble
    email                : deremble@ihes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAX_H
#define MAX_H

namespace N_Tools
{
template <class T, class U>
inline T max (const T & t, const U & u)
{
    return (t >= u) ? t : u;
};

template <class T>
inline T max (const T & t1, const T & t2, const T & t3)
{
    return (t1 >= t3) ? ((t1 >= t2) ? t1 : t2) : ((t2 >= t3) ? t2 : t3);
};
};


#endif
