/***************************************************************************
                          _inputparams.h  -  description
                             -------------------
    begin                : Thu Jun 19 2003
    copyright            : (C) 2003 by Cyril Deremble
    email                : deremble@ihes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _INPUTPARAMS_H
#define _INPUTPARAMS_H

#include <iostream>

#include "c_filepathname.h"
#include "iomanip_aaseq.h"
#include "c_hca.h"
#include "c_clustalign.h"
#include "c_exception.h"
#include "c_parameterfile.h"
#include <list>


extern list <C_FilePathName> g_InputFileNames_lst;
extern C_FilePathName g_OutputFileName_str;
extern E_SeqFileFormat g_OutputFileFormat_e;
extern C_FilePathName g_OutputParamFileName_str;
extern C_FilePathName g_InputTreeFileName_str;
extern C_FilePathName g_OutputDistMatFileName_str;

extern bool ClearClusters_b;
extern bool ClearGaps_b;
extern bool ClearColors_b;
extern bool ConstructClustersFromIds_b;
extern bool AnalyseClusters_b;
extern bool FillClusters_b;
extern bool AlignPairwiseToTarget_b;
extern bool Align_b;
extern bool GlobalLocalAlign_b;
extern bool ScoreConservedRes_b;
extern bool ColorClusters_b;
extern bool ColorClusterBreakers_b;
extern bool ColorAAs_b;

void readInputParams (char argc, char* argv []);

#endif
