/***************************************************************************
                          c_hcaparametersiomanip.h  -  description
                             -------------------
    begin                : Fri Aug 1 2003
    copyright            : (C) 2003 by Cyril Deremble
    email                : deremble@ihes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef C_HCAPARAMETERSIOMANIP_H
#define C_HCAPARAMETERSIOMANIP_H

#include "c_hca.h"

/**
  *@author Cyril Deremble
  */

class C_HCAParametersIOManip : public C_IOStreamManip <C_XMLTag, ostream>
{
public:
    C_XMLTag & operator >> (C_HCA & AnalyseClusters) const;
    ostream & operator << (const C_HCA & AnalyseClusters) const;
};

const C_HCAParametersIOManip xml_hcaparams = C_HCAParametersIOManip ();

inline const C_HCAParametersIOManip & operator >> (C_XMLTag & Stream, const C_HCAParametersIOManip & Manip)
{
    Manip.setIStream (Stream);
    return Manip;
};

inline const C_HCAParametersIOManip & operator << (ostream & Stream, const C_HCAParametersIOManip & Manip)
{
    Manip.setOStream (Stream);
    return Manip;
};

#endif
