/***************************************************************************
                          iomanip_ext.cpp  -  description
                             -------------------
    begin                : Tue Jul 8 2003
    copyright            : (C) 2003 by Cyril Deremble
    email                : deremble@ihes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "iomanip_ext.h"

using namespace N_Tools;

static const char HorWhiteSpaces_p [] = " \t\r";
static const char WhiteSpaces_p [] = " \t\r\v\n\f";
static const char Alpha_p [] = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890_";


const set
    <char> N_Tools::S_IsHorWhiteSpace::s_HorWhiteSpaces_set (HorWhiteSpaces_p, HorWhiteSpaces_p + sizeof (HorWhiteSpaces_p) - 1);
const set
    <char> N_Tools::S_IsWhiteSpace::s_WhiteSpaces_set (WhiteSpaces_p, WhiteSpaces_p + sizeof (WhiteSpaces_p) - 1);
const set
    <char> N_Tools::S_IsAlpha::s_Alpha_set (Alpha_p, Alpha_p + sizeof (Alpha_p) - 1);




